Bug 72601 - Installer fails when AS is installed into NB directory
Installer fails when AS is installed into NB directory
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Tools bundle
5.x
PC Linux
: P2 (vote)
: 5.x
Assigned To: mslama
issues@installer
5.5_fix
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-13 10:02 UTC by mslama
Modified: 2006-12-15 12:01 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mslama 2006-02-13 10:02:31 UTC
When AS installation dir is inside NB installation dir and user selects Next
next panel is not displayed. Panel stays empty. It looks like IS problem because
in thread dump our code is not present. Passed to IS. We can implement
workaround - do not allow user to select installation dir for AS inside NB
installation dir.
Comment 1 Patrick Keegan 2006-02-13 17:45:01 UTC
Proposed relnote (or rather, install troubleshooting note).

Description: After specifying the location of the Sun Java System Application
Server and clicking Next, the wizard page becomes blank, and it is impossible to
continue the installation.

Workaround: Run the installation again and specify a location for the
application server installation directory that is not inside of the NetBeans IDE
installation directory.
Comment 2 mslama 2006-07-12 17:30:28 UTC
Simple solution/workaround is not to allow installation of NB into AS and AS
into NB.
Comment 3 mslama 2006-07-12 17:45:13 UTC
Fixed in main trunk:
/cvs/installer/asbundle/src/org/netbeans/installer/Bundle.properties
new revision: 1.51; previous revision: 1.50

/cvs/installer/asbundle/src/org/netbeans/installer/InstallDirSelectionPanel.java
new revision: 1.26; previous revision: 1.25

Branch 'release55':
/cvs/installer/asbundle/src/org/netbeans/installer/Bundle.properties
new revision: 1.37.2.9.4.10; previous revision: 1.37.2.9.4.9

/cvs/installer/asbundle/src/org/netbeans/installer/InstallDirSelectionPanel.java
new revision: 1.21.2.1.4.2; previous revision: 1.21.2.1.4.1

Branch 'release55_beta2':
/cvs/installer/asbundle/src/org/netbeans/installer/Bundle.properties
new revision: 1.37.2.9.4.9.2.2; previous revision: 1.37.2.9.4.9.2.1

/cvs/installer/asbundle/src/org/netbeans/installer/InstallDirSelectionPanel.java
new revision: 1.21.2.1.4.1.2.1; previous revision: 1.21.2.1.4.1
Comment 4 mslama 2006-07-13 12:55:07 UTC
The same or similar problem is with jdkbundle installer => the same fix applies
to jdkbundle installer.

Main trunk:
/cvs/installer/jdkbundle/src/org/netbeans/installer/Bundle.properties
new revision: 1.51; previous revision: 1.50

/cvs/installer/jdkbundle/src/org/netbeans/installer/InstallDirSelectionPanel.java
new revision: 1.24; previous revision: 1.23

Branch 'release55':
/cvs/installer/jdkbundle/src/org/netbeans/installer/Bundle.properties
new revision: 1.40.10.3.4.6; previous revision: 1.40.10.3.4.5

/cvs/installer/jdkbundle/src/org/netbeans/installer/InstallDirSelectionPanel.java
new revision: 1.20.20.3; previous revision: 1.20.20.2
Comment 5 Michal Mocnak 2006-12-15 12:01:21 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo